summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Heinz Wiesinger2013-11-17 18:58:28 +0100
committer Heinz Wiesinger2013-11-19 19:54:50 +0100
commit3a68d00bd495243e3d82635911fb7c834fff0f7b (patch)
tree7a20a8b6249ca34a5beeddbb620a123fa2ebe4a2 /perl
parenta07488f07e6ed63a4f625f7f758880fba2ecc2c3 (diff)
downloadslackbuilds-3a68d00bd495243e3d82635911fb7c834fff0f7b.tar.gz
perl/perl-IPC-System-Simple: Added.
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-IPC-System-Simple/README6
-rw-r--r--perl/perl-IPC-System-Simple/perl-IPC-System-Simple.SlackBuild78
-rw-r--r--perl/perl-IPC-System-Simple/perl-IPC-System-Simple.info10
-rw-r--r--perl/perl-IPC-System-Simple/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/perl/perl-IPC-System-Simple/README b/perl/perl-IPC-System-Simple/README
new file mode 100644
index 0000000000..48b8bfe923
--- /dev/null
+++ b/perl/perl-IPC-System-Simple/README
@@ -0,0 +1,6 @@
+Calling Perl's in-built 'system()' function is easy; determining if
+it was successful is _hard_. Let's face it, '$?' isn't the nicest
+variable in the world to play with, and even if you _do_ check it,
+producing a well-formatted error string takes a lot of work.
+'IPC::System::Simple' takes the hard work out of calling external
+commands.
diff --git a/perl/perl-IPC-System-Simple/perl-IPC-System-Simple.SlackBuild b/perl/perl-IPC-System-Simple/perl-IPC-System-Simple.SlackBuild
new file mode 100644
index 0000000000..44ce0ef761
--- /dev/null
+++ b/perl/perl-IPC-System-Simple/perl-IPC-System-Simple.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for perl-IPC-System-Simple
+
+# Copyright 2013 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-IPC-System-Simple
+SRCNAM=IPC-System-Simple
+VERSION=1.25
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Remove perlocal.pod and .packlist from $PKG
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes LICENSE MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-IPC-System-Simple/perl-IPC-System-Simple.info b/perl/perl-IPC-System-Simple/perl-IPC-System-Simple.info
new file mode 100644
index 0000000000..870a8d2621
--- /dev/null
+++ b/perl/perl-IPC-System-Simple/perl-IPC-System-Simple.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-IPC-System-Simple"
+VERSION="1.25"
+HOMEPAGE="http://search.cpan.org/dist/IPC-System-Simple"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PJ/PJF/IPC-System-Simple-1.25.tar.gz"
+MD5SUM="fb49e674e1d52e8e5646d08507d7fda5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
diff --git a/perl/perl-IPC-System-Simple/slack-desc b/perl/perl-IPC-System-Simple/slack-desc
new file mode 100644
index 0000000000..5fb9127033
--- /dev/null
+++ b/perl/perl-IPC-System-Simple/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-IPC-System-Simple: perl-IPC-System-Simple (Run commands, with detailed diagnostics)
+perl-IPC-System-Simple:
+perl-IPC-System-Simple: Calling Perl's in-built 'system()' function is easy; determining if
+perl-IPC-System-Simple: it was successful is _hard_. Let's face it, '$?' isn't the nicest
+perl-IPC-System-Simple: variable in the world to play with, and even if you _do_ check it,
+perl-IPC-System-Simple: producing a well-formatted error string takes a lot of work.
+perl-IPC-System-Simple: 'IPC::System::Simple' takes the hard work out of calling external
+perl-IPC-System-Simple: commands.
+perl-IPC-System-Simple:
+perl-IPC-System-Simple:
+perl-IPC-System-Simple: